problem installing of pushing framework-miui-res.apk


Aug 30, 2012
23
3
13
#1
hello guys,

i decompiled framework-miui-res.apk and changes some dimensions in dimens.xml after it got recompiled with out any error..

but when i push the file to system/framework the rom fail to boot ..

any ideas?
 
Aug 30, 2012
23
3
13
#4
before recompile apk, overwrite apktool.yml by this file....
keep getting the same error

--------------------------------------------------------------------------
|03-05-2013 -- 17:20:50.20|
--------------------------------------------------------------------------
java version "1.7.0_05"
Java(TM) SE Runtime Environment (build 1.7.0_05-b06)
Java HotSpot(TM) Client VM (build 23.1-b03, mixed mode, sharing)
Could Not Find D:\AutoAPKTool2\Files_Mod\../Files_Mod/signedframework-miui-res.apk
Could Not Find D:\AutoAPKTool2\Files_Mod\../Files_Mod/unsignedframework-miui-res.apk
I: Loading resource table...
Exception in thread "main" brut.androlib.AndrolibException: Multiple resources: spec=0x06020004 drawable/alphabet_indexer_overlay, config=-hdpi
at brut.androlib.res.data.ResConfig.addResource(ResConfig.java:65)
at brut.androlib.res.data.ResConfig.addResource(ResConfig.java:58)
at brut.androlib.res.decoder.ARSCDecoder.readEntry(ARSCDecoder.java:196)
at brut.androlib.res.decoder.ARSCDecoder.readConfig(ARSCDecoder.java:165)
at brut.androlib.res.decoder.ARSCDecoder.readType(ARSCDecoder.java:130)
at brut.androlib.res.decoder.ARSCDecoder.readPackage(ARSCDecoder.java:105)
at brut.androlib.res.decoder.ARSCDecoder.readTable(ARSCDecoder.java:82)
at brut.androlib.res.decoder.ARSCDecoder.decode(ARSCDecoder.java:48)
at brut.androlib.res.AndrolibResources.getResPackagesFromApk(AndrolibResources.java:315)
at brut.androlib.res.AndrolibResources.loadMainPkg(AndrolibResources.java:50)
at brut.androlib.res.AndrolibResources.getResTable(AndrolibResources.java:43)
at brut.androlib.Androlib.getResTable(Androlib.java:44)
at brut.androlib.ApkDecoder.getResTable(ApkDecoder.java:148)
at brut.androlib.ApkDecoder.decode(ApkDecoder.java:98)
at brut.apktool.Main.cmdDecode(Main.java:128)
at brut.apktool.Main.main(Main.java:65)
The system cannot find the path specified.
Could Not Find D:\AutoAPKTool2\Files_Mod\../Files_Mod/signedframework-miui-res.apk
Could Not Find D:\AutoAPKTool2\Files_Mod\../Files_Mod/unsignedframework-miui-res.apk
I: Loading resource table...
I: Loaded.
I: Decoding AndroidManifest.xml with resources...
I: Loading resource table from file: C:\Users\monstar\apktool\framework\1.apk
I: Loaded.
I: Decoding file-resources...
I: Decoding values*/* XMLs...
I: Done.
I: Copying assets and libs...
W: Could not find sources
I: Checking whether resources has changed...
I: Building resources...
Exception in thread "main" brut.androlib.err.CantFindFrameworkResException
at brut.androlib.res.AndrolibResources.getFrameworkApk(AndrolibResources.java:437)
at brut.androlib.Androlib.parseUsesFramework(Androlib.java:482)
at brut.androlib.Androlib.buildResourcesFull(Androlib.java:324)
at brut.androlib.Androlib.buildResources(Androlib.java:269)
at brut.androlib.Androlib.build(Androlib.java:192)
at brut.androlib.Androlib.build(Androlib.java:174)
at brut.apktool.Main.cmdBuild(Main.java:185)
at brut.apktool.Main.main(Main.java:70)
The system cannot find the path specified.
 

Acid

Scripting Ninja
Staff member
Aug 20, 2011
2,726
744
247
#5
Well you cant compile because you have errors when decompile.
Use older apktool 1.5.2.
And I assume you meant pushing framework to /system/framework NOT /system/app?
 
Aug 30, 2012
23
3
13
#6
Well you cant compile because you have errors when decompile.
Use older apktool 1.5.2.
And I assume you meant pushing framework to /system/framework NOT /system/app?
sorry by bad...typo..

btw tried it with apktool 1.4.2 , 1.4.3 , 1.4.7 .......still same error
 

Acid

Scripting Ninja
Staff member
Aug 20, 2011
2,726
744
247
#9
its because of 2 things:

MIUI needs
- all frameworks installed from 1 to 6 to boot
- and it needs apktool.yml like ingbrzy said.

apktool if framework-res.apk
apktool if 2.apk
apktool if 3.apk
apktool if 4.apk
apktool if 5.apk
apktool if framework-miui-res.apk

You do above before decompilation

Use 2-5.apk from MiCode:
https://github.com/MiCode/patchrom_build/tree/jellybean/res
 
Aug 30, 2012
23
3
13
#10
its because of 2 things:

MIUI needs
- all frameworks installed from 1 to 6 to boot
- and it needs apktool.yml like ingbrzy said.

apktool if framework-res.apk
apktool if 2.apk
apktool if 3.apk
apktool if 4.apk
apktool if 5.apk
apktool if framework-miui-res.apk

You do above before decompilation

Use 2-5.apk from MiCode:
https://github.com/MiCode/patchrom_build/tree/jellybean/res
finally booted up ....thank u both of u for help and ur time...

appreciated it